Berkeley DB version 4.3.29

## com.sleepycat.bind
Interface EntryBinding

All Known Implementing Classes:
  ByteArrayBinding, RecordNumberBinding, SerialBinding, TupleBinding, TupleInputBinding

public interface EntryBinding

A binding between a key or data entry and a key or data object.

Method Summary
`Object` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` `objectToEntry(Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.

Method Detail

### entryToObject

    public Object entryToObject(DatabaseEntry entry)

  Converts a entry buffer into an Object.

  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting Object.

### objectToEntry

    public void objectToEntry(Object object,
                              DatabaseEntry entry)

  Converts an Object into a entry buffer.

  Parameters:
    `object` - is the source Object.
    `entry` - is the destination entry buffer.

Berkeley DB version 4.3.29

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.